LIBKECCAK_STATE_MARSHAL(3)

NAME
libkeccak_state_marshal - Marshals a hash state

SYNOPSIS
#include <libkeccak.h>
size_t libkeccak_state_marshal(const struct libkeccak_state *state, void *data);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_marshal() function marshals *state into the beginning of data.

Specific NULL as data to get minimum usable allocation size for

RETURN VALUES
The libkeccak_state_marshal() returns the number of bytes written to data.

ERRORS
The libkeccak_state_marshal() function cannot fail.

SEE ALSO
libkeccak_state_unmarshal(3)